// **** BEGIN LICENSE BLOCK ****
//   Copyright(c) 2009-2010 MATSUZAWA Jiro
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
//   02110-1301, USA.  */
// **** END LICENSE BLOCK ****

var rencon;
if (!rencon) {
    rencon = {};
} else if (typeof rencon != "object") {
    throw new Error("");
}

// PageParser is designed as interface(abstract class)
// implement PageParser by class which analyze pages each web site pages

rencon.PageParser = function() { throw new Error("PageParser's constructor is called"); }

rencon.PageParser.getInstance = function()
{
    if (this.instance == null) {
        this.instance = new this();
    }
    return this.instance;
}

rencon.PageParser.cloneParser = function(parser)
{
    for (var p in rencon.PageParser) {
        parser[p] = rencon.PageParser[p];
    }
}

rencon.PageParser.instance = null;

rencon.PageParser.prototype.pickoutBibRecord = function()
{ throw new Error("PageParser's pickoutBibRecord is called"); }
